Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.trolltech.qt.gui
Enum QPaintEngine.PaintEngineFeature

    java.lang.Object
      java.lang.Enum<QPaintEngine.PaintEngineFeature>
          com.trolltech.qt.gui.QPaintEngine.PaintEngineFeature

All Implemented Interfaces:
  QtEnumerator, java.io.Serializable, java.lang.Comparable<QPaintEngine.PaintEngineFeature>

Enclosing class:
  QPaintEngine

    public static enum QPaintEngine.PaintEngineFeature

extends java.lang.Enum<QPaintEngine.PaintEngineFeature>
implements QtEnumerator

This enum is used to describe the features or capabilities that the paint engine has. If a feature is not supported by the engine, `QPainter` will do a best effort to emulate that feature through other means and pass on an alpha blended `QImage` to the engine with the emulated results. Some features cannot be emulated: `AlphaBlend` and `PorterDuff`.

Enum Constant Summary
`AllFeatures` All of the above features.
`AlphaBlend` The engine can alpha blend primitives.
`Antialiasing` The engine can use antialising to improve the appearance of rendered primitives.
`BlendModes` The engine supports blending modes.
`BrushStroke` The engine supports drawing strokes that contain brushes as fills, not just solid colors (e.g. a dashed gradient line of width 2).
`ConicalGradientFill` The engine supports conical gradient fills.
`ConstantOpacity` The engine supports the feature provided by QPainter::setOpacity().
`LinearGradientFill` The engine supports linear gradient fills.
`MaskedBrush` The engine is capable of rendering brushes that has a texture with an alpha channel or a mask.
`PainterPaths` The engine has path support.
`PaintOutsidePaintEvent` The engine is capable of painting outside of paint events.
`PatternBrush` The engine is capable of rendering brushes with the brush patterns specified in Qt::BrushStyle.
`PatternTransform` The engine has support for transforming brush patterns.
`PerspectiveTransform` The engine has support for performing perspective transformations on primitives.
`PixmapTransform` The engine can transform pixmaps, including rotation and shearing.
`PorterDuff` The engine supports Porter-Duff operations
`PrimitiveTransform` The engine has support for transforming drawing primitives.
`RadialGradientFill` The engine supports radial gradient fills.

Method Summary
`static QPaintEngine.PaintEngineFeatures` | `createQFlags(QPaintEngine.PaintEngineFeature... values)`
`static QPaintEngine.PaintEngineFeature` | `resolve(int value)`
`int` | `value()` This function should return an integer value for the enum values of the enumeration that implements this interface.
`static QPaintEngine.PaintEngineFeature` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static QPaintEngine.PaintEngineFeature[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### PrimitiveTransform

    public static final QPaintEngine.PaintEngineFeature PrimitiveTransform

  The engine has support for transforming drawing primitives.

### PatternTransform

    public static final QPaintEngine.PaintEngineFeature PatternTransform

  The engine has support for transforming brush patterns.

### PixmapTransform

    public static final QPaintEngine.PaintEngineFeature PixmapTransform

  The engine can transform pixmaps, including rotation and shearing.

### PatternBrush

    public static final QPaintEngine.PaintEngineFeature PatternBrush

  The engine is capable of rendering brushes with the brush patterns specified in Qt::BrushStyle.

### LinearGradientFill

    public static final QPaintEngine.PaintEngineFeature LinearGradientFill

  The engine supports linear gradient fills.

### RadialGradientFill

    public static final QPaintEngine.PaintEngineFeature RadialGradientFill

  The engine supports radial gradient fills.

### ConicalGradientFill

    public static final QPaintEngine.PaintEngineFeature ConicalGradientFill

  The engine supports conical gradient fills.

### AlphaBlend

    public static final QPaintEngine.PaintEngineFeature AlphaBlend

  The engine can alpha blend primitives.

### PorterDuff

    public static final QPaintEngine.PaintEngineFeature PorterDuff

  The engine supports Porter-Duff operations

### PainterPaths

    public static final QPaintEngine.PaintEngineFeature PainterPaths

  The engine has path support.

### Antialiasing

    public static final QPaintEngine.PaintEngineFeature Antialiasing

  The engine can use antialising to improve the appearance of rendered primitives.

### BrushStroke

    public static final QPaintEngine.PaintEngineFeature BrushStroke

  The engine supports drawing strokes that contain brushes as fills, not just solid colors (e.g. a dashed gradient line of width 2).

### ConstantOpacity

    public static final QPaintEngine.PaintEngineFeature ConstantOpacity

  The engine supports the feature provided by QPainter::setOpacity().

### MaskedBrush

    public static final QPaintEngine.PaintEngineFeature MaskedBrush

  The engine is capable of rendering brushes that has a texture with an alpha channel or a mask.

### PerspectiveTransform

    public static final QPaintEngine.PaintEngineFeature PerspectiveTransform

  The engine has support for performing perspective transformations on primitives.

### BlendModes

    public static final QPaintEngine.PaintEngineFeature BlendModes

  The engine supports blending modes.

### PaintOutsidePaintEvent

    public static final QPaintEngine.PaintEngineFeature PaintOutsidePaintEvent

  The engine is capable of painting outside of paint events.

### AllFeatures

    public static final QPaintEngine.PaintEngineFeature AllFeatures

  All of the above features. This enum value is usually used as a bit mask.

Method Detail

### values

    public static final QPaintEngine.PaintEngineFeature[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(QPaintEngine.PaintEngineFeature c : QPaintEngine.PaintEngineFeature.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static QPaintEngine.PaintEngineFeature valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name

### value

    public int value()

  Description copied from interface: `QtEnumerator`
  This function should return an integer value for the enum values of the enumeration that implements this interface.

  Specified by:
    `value` in interface `QtEnumerator`

### createQFlags

    public static QPaintEngine.PaintEngineFeatures createQFlags(QPaintEngine.PaintEngineFeature... values)

### resolve

    public static QPaintEngine.PaintEngineFeature resolve(int value)

Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD